__gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >(3cxx)

NAME
__gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType > - Similar to std::binder1st, but giving the argument types explicitly.

SYNOPSIS

#include <base.h>

Inherits std::unary_function< _SecondArgumentType, _ResultType >.

  Public Types

typedef _SecondArgumentType argument_type
argument_type is the type of the argument
typedef _ResultType result_type
result_type is the return type

  Public Member Functions

__binder1st (const _Operation &__x, const _FirstArgumentType &__y)
_ResultType operator() (_SecondArgumentType &__x) const
_ResultType operator() (const _SecondArgumentType &__x)

  Protected Attributes

_Operation _M_op
_FirstArgumentType _M_value

Detailed Description

  template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>
class __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >"Similar to std::binder1st, but giving the argument types explicitly.

Member Typedef Documentation

  typedef _SecondArgumentType std::unary_function< _SecondArgumentType, _ResultType >::argument_type [inherited]

argument_type is the type of the argument

  typedef _ResultType std::unary_function< _SecondArgumentType, _ResultType >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.